package App::Ack::ConfigDefault;

use warnings;
use strict;

use App::Ack ();



sub options {
    return split( /\n/, _options_block() );
}


sub options_clean {
    return grep { /./ && !/^#/ } options();
}


sub _options_block {
    my $lines = <<'HERE';




--ignore-directory=is:.bzr

--ignore-directory=is:.cdv

--ignore-directory=is:~.dep
--ignore-directory=is:~.dot
--ignore-directory=is:~.nib
--ignore-directory=is:~.plst

--ignore-directory=is:.git
--ignore-file=is:.git

--ignore-directory=is:.hg

--ignore-directory=is:.pc

--ignore-directory=is:.svn

--ignore-directory=is:_MTN

--ignore-directory=is:CVS

--ignore-directory=is:RCS

--ignore-directory=is:SCCS

--ignore-directory=is:_darcs

--ignore-directory=is:_sgbak

--ignore-directory=is:autom4te.cache

--ignore-directory=is:blib
--ignore-directory=is:_build

--ignore-directory=is:cover_db

--ignore-directory=is:node_modules

--ignore-directory=is:CMakeFiles

--ignore-directory=is:.metadata

--ignore-directory=is:.cabal-sandbox

--ignore-directory=is:__pycache__
--ignore-directory=is:.pytest_cache

--ignore-directory=is:__MACOSX
--ignore-file=is:.DS_Store


--ignore-file=ext:bak
--ignore-file=match:/~$/

--ignore-file=match:/^#.+#$/

--ignore-file=match:/[._].*[.]swp$/

--ignore-file=match:/core[.]\d+$/

--ignore-file=match:/[.-]min[.]js$/
--ignore-file=match:/[.]js[.]min$/

--ignore-file=match:/[.]min[.]css$/
--ignore-file=match:/[.]css[.]min$/

--ignore-file=match:/[.]js[.]map$/
--ignore-file=match:/[.]css[.]map$/

--ignore-file=ext:pdf

--ignore-file=ext:gif,jpg,jpeg,png

--ignore-file=ext:gz,tar,tgz,zip

--ignore-file=ext:pyc,pyd,pyo

--ignore-file=ext:pkl,pickle

--ignore-file=ext:so

--ignore-file=ext:mo

--ignore-dir=is:.vscode


--type-add=make:ext:mk
--type-add=make:ext:mak
--type-add=make:is:makefile
--type-add=make:is:Makefile
--type-add=make:is:Makefile.Debug
--type-add=make:is:Makefile.Release
--type-add=make:is:GNUmakefile

--type-add=rake:is:Rakefile

--type-add=cmake:is:CMakeLists.txt
--type-add=cmake:ext:cmake

--type-add=bazel:ext:bzl
--type-add=bazel:ext:bazelrc
--type-add=bazel:is:BUILD
--type-add=bazel:is:WORKSPACE


--type-add=actionscript:ext:as,mxml

--type-add=ada:ext:ada,adb,ads

--type-add=asp:ext:asp

--type-add=aspx:ext:master,ascx,asmx,aspx,svc

--type-add=asm:ext:asm,s

--type-add=batch:ext:bat,cmd

--type-add=cfmx:ext:cfc,cfm,cfml

--type-add=clojure:ext:clj,cljs,edn,cljc

--type-add=cc:ext:c,h,xs

--type-add=hh:ext:h

--type-add=coffeescript:ext:coffee

--type-add=cpp:ext:cpp,cc,cxx,m,hpp,hh,h,hxx

--type-add=hpp:ext:hpp,hh,h,hxx

--type-add=csharp:ext:cs

--type-add=crystal:ext:cr,ecr

--type-add=css:ext:css

--type-add=dart:ext:dart

--type-add=delphi:ext:pas,int,dfm,nfm,dof,dpk,dproj,groupproj,bdsgroup,bdsproj

--type-add=elixir:ext:ex,exs

--type-add=elm:ext:elm

--type-add=elisp:ext:el

--type-add=erlang:ext:erl,hrl

--type-add=fortran:ext:f,f77,f90,f95,f03,for,ftn,fpp

--type-add=go:ext:go

--type-add=groovy:ext:groovy,gtmpl,gpp,grunit,gradle

--type-add=gsp:ext:gsp

--type-add=haskell:ext:hs,lhs

--type-add=html:ext:htm,html,xhtml

--type-add=jade:ext:jade

--type-add=java:ext:java,properties

--type-add=js:ext:js

--type-add=jsp:ext:jsp,jspx,jspf,jhtm,jhtml

--type-add=json:ext:json

--type-add=kotlin:ext:kt,kts

--type-add=less:ext:less

--type-add=lisp:ext:lisp,lsp

--type-add=lua:ext:lua
--type-add=lua:firstlinematch:/^#!.*\blua(jit)?/

--type-add=markdown:ext:md,markdown

--type-add=matlab:ext:m

--type-add=objc:ext:m,h

--type-add=objcpp:ext:mm,h

--type-add=ocaml:ext:ml,mli,mll,mly

--type-add=perl:ext:pl,pm,pod,t,psgi
--type-add=perl:firstlinematch:/^#!.*\bperl/

--type-add=perltest:ext:t

--type-add=pod:ext:pod

--type-add=php:ext:php,phpt,php3,php4,php5,phtml
--type-add=php:firstlinematch:/^#!.*\bphp/

--type-add=plone:ext:pt,cpt,metadata,cpy,py

--type-add=powershell:ext:ps1,psm1

--type-add=purescript:ext:purs

--type-add=python:ext:py
--type-add=python:firstlinematch:/^#!.*\bpython/

--type-add=rr:ext:R,Rmd

--type-add=rst:ext:rst

--type-add=ruby:ext:rb,rhtml,rjs,rxml,erb,rake,spec
--type-add=ruby:is:Rakefile
--type-add=ruby:firstlinematch:/^#!.*\bruby/

--type-add=rust:ext:rs

--type-add=sass:ext:sass,scss

--type-add=scala:ext:scala,sbt

--type-add=scheme:ext:scm,ss

--type-add=shell:ext:sh,bash,csh,tcsh,ksh,zsh,fish
--type-add=shell:firstlinematch:/^#!.*\b(?:ba|t?c|k|z|fi)?sh\b/

--type-add=smalltalk:ext:st

--type-add=smarty:ext:tpl

--type-add=sql:ext:sql,ctl

--type-add=stylus:ext:styl

--type-add=svg:ext:svg

--type-add=swift:ext:swift
--type-add=swift:firstlinematch:/^#!.*\bswift/

--type-add=tcl:ext:tcl,itcl,itk

--type-add=tex:ext:tex,cls,sty

--type-add=ttml:ext:tt,tt2,ttml

--type-add=toml:ext:toml

--type-add=ts:ext:ts,tsx

--type-add=vb:ext:bas,cls,frm,ctl,vb,resx

--type-add=verilog:ext:v,vh,sv

--type-add=vhdl:ext:vhd,vhdl

--type-add=vim:ext:vim

--type-add=xml:ext:xml,dtd,xsd,xsl,xslt,ent,wsdl
--type-add=xml:firstlinematch:/<[?]xml/

--type-add=yaml:ext:yaml,yml
HERE
    $lines =~ s/==VERSION==/$App::Ack::VERSION/sm;

    return $lines;
}

1;
